## Apache Zeta Components Manual :: Docs For Class ezcDocumentRstSubscriptTextRole

### Document::ezcDocumentRstSubscriptTextRole

### Class ezcDocumentRstSubscriptTextRole

Visitor for RST subscript text roles.

Source for this file: /Document/src/document/rst/role/subscript.php

### Implements interfaces:

- ezcDocumentRstXhtmlTextRole

    ezcDocumentRstTextRole
       |
       --ezcDocumentRstSubscriptTextRole

Version: | //autogen//

### Inherited Member Variables

From ezcDocumentRstTextRole
protected | `ezcDocumentRstTextRole::$ast`
protected | `ezcDocumentRstTextRole::$node`
protected | `ezcDocumentRstTextRole::$path`
protected | `ezcDocumentRstTextRole::$visitor`

### Method Summary

public void | `toDocbook( $document , $root )` Transform text role to docbook.
public void | `toXhtml( $document , $root )` Transform text role to HTML.

### Inherited Methods

From ezcDocumentRstTextRole
public void | `ezcDocumentRstTextRole::__construct()` Construct text role from AST and node
protected void | `ezcDocumentRstTextRole::appendText()` Append text from interpreted text node to given DOMElement
public void | `ezcDocumentRstTextRole::setSourceVisitor()` Set the calling vaisitor
public abstract void | `ezcDocumentRstTextRole::toDocbook()` Transform text role to docbook

### Methods

#### toDocbook

void toDocbook( $document , $root )

Transform text role to docbook.

Create a docbook XML structure at the text roles position in the document.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$document` | DOMDocument |
`$root` | DOMElement |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentRstTextRole::toDocbook()` | Transform text role to docbook

#### toXhtml

void toXhtml( $document , $root )

Transform text role to HTML.

Create a XHTML structure at the text roles position in the document.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$document` | DOMDocument |
`$root` | DOMElement |

##### Implementation of:

Method | Description
--- | ---
`ezcDocumentRstXhtmlTextRole::toXhtml()` | Transform text role to HTML

Documentation generated by phpDocumentor 1.4.3